curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}コンタクトが全てのEメールの配信を停止したかどうかを確認します。コンタクトが全てのコミュニケーションからオプトアウトしていない場合、応答の「結果」列は空になります。
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
全てのコミュニケーション設定から配信停止する登録読者の固有ID。
登録読者の配信を停止するコミュニケーションチャネル。これは必須のパラメーターであり、「EMAIL」である必要があります。
EMAIL 登録読者が属するビジネスユニットのID。これは任意のパラメーターです。
レスポンスに詳細情報を含めるかどうかを示すブール値。デフォルトはfalseです。
successful operation
処理が完了した日時。
処理の結果が格納される配列。
Show child attributes
処理が開始された日時。
処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
関連リンクを含むオブジェクト(各キーはリンク名で、各値はURLです)。
Show child attributes
処理中に発生したエラーの数。
リクエストが行われた日時。